{% extends "index.html" %}


{% block style_sheets %}
<link type="text/css" rel="stylesheet" href="/static/css/client/units.css">
<link type="text/css" rel="stylesheet" href="/static/css/client/radio.css">
<link type="text/css" rel="stylesheet" href="/static/css/client/size_guide_sm.css">


<style>
    img {
        margin-left: 10%;
        width: 80%;
    }
    .my_info{

        box-shadow: 1px 2px 4px rgba(0, 0, 0, .5);
        padding: 1%;
    }
    .loader{
        margin: auto;
        padding: 10px;
    }

</style>

{% endblock %}

{% block content %}



<div style="margin-left: 12px;" class="row">

  <form method="POST">
    <h3>Calendar event</h3>
    <p>Date:{{ce.date}}</p>
    <p><strong>Category:{{ce.category_formatted}}<strong></p>
    <p>Time:{{ce.time_category}}</p>
    <p>Address:{{ce.address}}</p>
    <p>Items:{{ce.items_description}}</p>

    <h4>Edit</h4>

    
    <div class="row">
        <div class="col-md-6">
            <label>Date:</label>    <br>
            <input name="pack_date"  required value="{{ce.date.strftime('%d/%m/%Y')}}" id="pack_date"
            class="form-control"/>
        </div>
        <div class="col-md-6">
            <label>Time</label>   <br> 
            <div class="btn-group btn-group-vertical" data-toggle="buttons">
                <label class="btn active">
                    <input value="MORNING" required type="radio" name='pack_time' {% if ce.time_category == 'MORNING' %} checked {% endif %} ><i class="fa fa-circle-o fa-2x"></i><i class="fa fa-dot-circle-o fa-2x"></i> <span>  Morning (8am - 12pm)</span>
                </label>
                <label class="btn">
                    <input value="AFTERNOON" required type="radio" {% if ce.time_category == "AFTERNOON" %} checked {% endif %}  name='pack_time'><i class="fa fa-circle-o fa-2x"></i><i class="fa fa-dot-circle-o fa-2x"></i><span> Afternoon (1pm - 5pm)</span>
                </label>
            </div>
            <br>
        </div>
    </div>

    <div class="">
        <br>
        <button id="checkout_btn" type="submit" style="border: 2px solid #f4c535;"  class='btn'>Update</button>
    </div>
</form>


</div>


{% endblock %}

{% block scripts %}
<script type="text/javascript">
    

$( document ).ready(function() {

    var tomoz =  new Date(new Date().getTime() + 24 * 60 * 60 * 1000);
    
    
    $('#pack_date').datetimepicker({minDate:tomoz,
                                    viewMode: 'months',
                                    format: 'DD/MM/YYYY',
                                    daysOfWeekDisabled: [0, 6]})


    });

</script>

{% endblock %}

